Overview | Package | Class | Tree | Deprecated | Index | Help
| OracleAS PDK for Java 9.0.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.portal.provider.v2.preference
Interface PreferenceDataObject

All Known Subinterfaces:
  PersonalizationObject

All Known Implementing Classes:
  NameValuePersonalizationObject, NameValuePreferenceDataObject

public interface PreferenceDataObject

Interface for data objects stored in a `PreferenceStore`. Classes implementing this interface are expected to have a public zero argument constructor.

Method Summary
`java.lang.String` | `getContentVersion()` Gets the version String associated with the content of the PreferenceDataObject
`void` | `read(java.io.InputStream is)` Populates the PreferenceDataObject with content read from a persistent store
`void` | `setContentVersion(java.lang.String version)` Sets the version associated with the content of the PreferenceDataObject.
`void` | `write(java.io.OutputStream os)` Writes the content of the PreferenceDataObject to a persistent store

Method Detail

### setContentVersion

    public void setContentVersion(java.lang.String version)

  Sets the version associated with the content of the PreferenceDataObject. The version number is a String to allow you to define the structure of your version numbers.

  Parameters:
    `version` - version string to be associated with the content of the PreferenceDataObject

### getContentVersion

    public java.lang.String getContentVersion()

  Gets the version String associated with the content of the PreferenceDataObject

  Returns:
    the version String associated with the content of the PreferenceDataObject

### read

    public void read(java.io.InputStream is)
              throws java.io.IOException

  Populates the PreferenceDataObject with content read from a persistent store

  Parameters:
    `is` - InputStream from which content should be read
    `java.io.IOException`

### write

    public void write(java.io.OutputStream os)
               throws java.io.IOException

  Writes the content of the PreferenceDataObject to a persistent store

  Parameters:
    `os` - OutputStream to which content should be written
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| OracleAS PDK for Java 9.0.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2002,2003 Oracle Corporation. All Rights Reserved.